<?php

// (c) Peter Kankowski, 2007-2009  http://www.strchr.com  mailto:kankowski@narod.ru

include('dblib.php');

// Create the table
/*
db()->exec('CREATE TABLE "articles" ("id" integer PRIMARY KEY, '.
           '"title" text, "author" text, "excerpt" text, "date" text)');
*/

// -----------------
// Performance tests
// -----------------

$start = microtime(true);

// Get articles list
/*for($i = 0; $i < 10000; $i++) {
   $result = mysql_query('SELECT * FROM "articles" LIMIT 0, 30') or die('select failed');
   while( $a = mysql_fetch_array($result, MYSQL_ASSOC) ) {
       $s = '<tr><td>' . htmlspecialchars($a['title']) . '</td>' .
                '<td>' . htmlspecialchars($a['author']). '</td>' .
				'<td>' . htmlspecialchars($a['date'])  . '</td></tr>';
   }
   mysql_free_result($result);
}*/

/*for($i = 0; $i < 10000; $i++)
   $s = db()->get_list(
				function($a) {return "<tr><td>{$a['title']}</td><td>{$a['author']}</td>".
									 '<td>' . $a['date'] . '</td></tr>';},
				'SELECT * FROM "articles" LIMIT 0, 30');*/

// Clear the table
db()->exec('TRUNCATE TABLE "articles"');

// Insert random items
/*for($i = 0; $i < 40000; $i++)
	db()->exec('INSERT INTO "articles"(title, author, excerpt, date) VALUES(~0~, ~1~, ~2~, NOW())',
		mt_rand(0, 100000), mt_rand(0, 100000), mt_rand(0, 100000));*/

for($i = 0; $i < 40000; $i++)
	mysql_query('INSERT INTO "articles"(title, author, excerpt, date) VALUES('.
	'\'' . mysql_real_escape_string( mt_rand(0, 100000)) . '\', ' .
	'\'' . mysql_real_escape_string( mt_rand(0, 100000)) . '\', ' .
	'\'' . mysql_real_escape_string( mt_rand(0, 100000)) . '\', NOW())');

$time = microtime(true) - $start;
				
echo "<br>$time seconds";

?>